NAD(1)

NAME
nad - download genome files from NCBI by accession

SYNOPSIS
nad [-h] [-m {nucleotide,protein}] [-e {none,loads,all}]

DESCRIPTION
Script to download sequences from GenBank/RefSeq by accession through the NCBI ENTREZ API.

OPTIONS
[-F {fasta,genbank,featuretable,gff3}] [-o OUT] [-p PREFIX] [-r] [--url] [-v] NCBI-accession [NCBI-accession ...]

  positional arguments:

    NCBI-accession

  optional arguments:

-h, --help
    show this help message and exit

-m {nucleotide,protein}, --molecule {nucleotide,protein}
    Molecule type to download. Default: nucleotide

-e {none,loads,all}, --extended-validation {none,loads,all}
    Perform extended validation. Possible options are 'none' to skip validation, 'loads' to check if the sequence file loads in Biopython, or 'all' to run all checks. Default: none

-F {fasta,genbank,featuretable,gff3}, --format {fasta,genbank,featuretable,gff3}
    File format to download nucleotide sequences in. Default: genbank

-o OUT, --out OUT
    Single filename to use for the combined output.

-p PREFIX, --prefix PREFIX
    Filename prefix to use for output files instead of using the NCBI ID.

-r, --recursive
    Recursively get all entries of a WGS entry.

--url
    Instead of downloading the sequences, just print the URLs to stdout.

-v, --verbose
    Print a progress indicator.

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.